Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.shared_orchestra.util
Class RestoreStateUtils

    java.lang.Object
      org.apache.myfaces.shared_orchestra.util.RestoreStateUtils

    public class RestoreStateUtils

extends java.lang.Object

Version:
  $Revision: 169655 $ $Date: 2005-05-11 18:45:06 +0200 (Mi, 11 Mai 2005) $
Author:
  Martin Marinschek (latest modification by $Author: grantsmith $)

Constructor Summary
`RestoreStateUtils()`

Method Summary
`static void` | `recursivelyHandleComponentReferencesAndSetValid(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent parent)` Walk the component tree, executing any component-bindings to reattach components to their backing beans.
`static void` | `recursivelyHandleComponentReferencesAndSetValid(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent parent, boolean forceHandle)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RestoreStateUtils

    public RestoreStateUtils()

Method Detail

### recursivelyHandleComponentReferencesAndSetValid

    public static void recursivelyHandleComponentReferencesAndSetValid(javax.faces.context.FacesContext facesContext,
                                                                       javax.faces.component.UIComponent parent)

  Walk the component tree, executing any component-bindings to reattach components to their backing beans. Also, any UIInput component is marked as Valid.

  Note that this method effectively breaks encapsulation; instead of asking each component to update itself and its children, this method just reaches into each component. That makes it impossible for any component to customise its behaviour at this point.

  This has been filed as an issue against the spec. Until this issue is resolved, we'll add a new marker-interface for components to allow them to define their interest in handling children bindings themselves.

### recursivelyHandleComponentReferencesAndSetValid

    public static void recursivelyHandleComponentReferencesAndSetValid(javax.faces.context.FacesContext facesContext,
                                                                       javax.faces.component.UIComponent parent,
                                                                       boolean forceHandle)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.